---
title: Request and Response Examples
slug: medhistory-populations/guide/request-and-response-examples
docTags: 
createdAt: 2026-06-10T15:15:45.607Z
---

## FHIR Parameter Explanation

This section helps identify the different parameters in the FHIR search query and what resources they will return. To include a resource, you must request it through the FHIR object model it belongs to.

**Example:** The MedicationRequest resource must be included in the FHIR search if you want to include the Practitioner resource.

| **Name**                              | **FHIR Resource Returned**                | **Comments**                                                                                             |
| ------------------------------------- | ----------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| Communication\:based-on               | MedicationDispense<br />MedicationRequest | MedicationRequest is returned for First Fill Not Picked Up notifications                                 |
| Communication\:subject                | Patient                                   |                                                                                                          |
| MedicationRequest\:requester          | Practitioner                              | Prescriber of the medication.                                                                            |
| MedicationDispense\:performer         | Organization                              | Pharmacy that dispensed the medication.                                                                  |
| Condition\:subject                    | Condition                                 | Requires \_revinclude parameter to obtain Primary/Secondary diagnosis based on the **Patient** resource. |
| MedicationDispense\:prescription      | MedicationRequest                         |                                                                                                          |
| MedicationRequest\:medication         | Medication                                |                                                                                                          |
| MedicationRequest\:intended-performer | Organization                              | Identifies the pharmacy expected to fill a **NewRx** for **First Fill Not Picked Up** notifications.     |

## Search Request

The examples below show a sample search request call ran every two hours and at every 24 hours. Using different parameters can narrow the amount of data returned in the response Bundle, or focus on specific results (e.g. Patient Population ID, Patient ID, etc…) to support individual application workflows.

### Notification Search Request Call Ran Every Two Hours

```xml
GET
https://FQDN/ext/v1/Communication?category=notification&_lastUpdated=gt2025-02-10T10:00:00Z&_lastUpdated=lt2025-02-10T11:59:59Z &_count=50&_include=Communication:based-on&_include:iterate=Communication:subject&_include:iterate=MedicationRequest:requester&_include:iterate=MedicationRequest:medication&_include:iterate=MedicationDispense:performer&_include:iterate=MedicationDispense:prescription&_include:iterate=MedicationRequest:intended-performer
 
GET 
https://FQDN/ext/v1/Communication?category=notification&_lastUpdated=gt2025-02-10T12:00:00Z&_lastUpdated=lt2025-02-10T13:59:59Z &_count=50&_include=Communication:based-on&_include:iterate=Communication:subject&_include:iterate=MedicationRequest:requester&_include:iterate=MedicationRequest:medication&_include:iterate=MedicationRDispense:performer&_include:iterate=MedicationDispense:prescription&_include:iterate=MedicationRequest:intended-performer
```

### Notification Search Request Call Ran Every 24 Hours

```xml
GET
https://FQDN/ext/v1/Communication?category=notification&_lastUpdated=gt2025-02-10T00:00:00Z&_lastUpdated=lt2025-02-10T23:59:59Z &_count=50&_include=Communication:based-on&_include:iterate=Communication:subject&_include:iterate=MedicationRequest:requester&_include:iterate=MedicationRequest:medication&_include:iterate=MedicationDispense:performer&_include:iterate=MedicationDispense:prescription&_include:iterate=MedicationRequest:intended-performer
 
GET 
https://FQDN/ext/v1/Communication?category=notification&_lastUpdated=gt2025-02-11T00:00:00Z&_lastUpdated=lt2025-02-11T23:59:59Z &_count=50&_include=Communication:based-on&include=Communication:subject&_include:iterate=MedicationRequest:requester&_include:iterate=MedicationRequest:medication&_include:iterate=MedicationDispense:performer&_include:iterate=MedicationDispense:prescription&_include:iterate=MedicationRequest:intended-performer
```

### Panel Search Request Call Ran for 24 Hour Panel

This example provides the best practice recommendation for requesting a Panel submitted within the past 24 hours.

:::CodeblockTabs
Panel Search Request Call Ran for 24 Hour Panel

```xml
GET
https://FQDN/ext/v1/Communication?category=panel&_lastUpdated=gt2025-02-26T00:00:00Z&_lastUpdated=lt2025-02-26T23:59:59Z&_count=1&_include=Communication:based-on&_include:iterate=Communication:subject&_include:iterate=MedicationRequest:requester&_include:iterate=MedicationRequest:medication&_include:iterate=MedicationRequest:performer&_include:iterate=MedicationDispense:prescription
 
GET 
https://FDQN/ext/v1/Communication?category=panel&_lastUpdated=gt2025-02-28T00:00:00Z&_lastUpdated=lt2025-02-28T23:59:59Z&_count=1&_include=Communication:based-on&_include:iterate=Communication:subject&_include:iterate=MedicationRequest:requester&_include:iterate=MedicationRequest:medication&_include:iterate=MedicationRequest:performer&_include:iterate=MedicationDispense:prescription
```
:::

### Resource ID Search Request

This example shows how you can request a specific FHIR resource leveraging the Resource ID obtained in a previous search request. This example would return the Patient resource associated with id **2816de18-f5ce-4f29-b63a2c4e364b8901**. FHIR resources will be available fo&#x72;**&#x20;30 days** from when they were generated.

:::CodeblockTabs
Resource ID Search Request

```xml
GET
https://FQDN/ext/v1/Patient/2816de18-f5ce-4f29-b63a2c4e364b8901
```
:::

### Diagnosis Search Request

This example shows how you can request the Condition FHIR resource to obtain the Diagnosis code for why a medication was prescribed if available. This search leverage the Resource ID obtained in a previous search request. This example would return the Patient and Condition resources associated with id **2816de18-f5ce-4f29-b63a2c4e364b8901**. FHIR resources will be available for **30 days** from when they were generated.

:::CodeblockTabs
Diagnosis Search Request

```bash
GET
https://FQDN/ext/v1/Patient?identifier=2816de18-f5ce-4f29-b63a2c4e364b8901&_revinclude=Condition:subject
```
:::

## Search Response

The following is an example response and is not intended to be all inclusive. Below is the response collapsed with additional views of each resource.

:::CodeblockTabs
Search Response

```xml
{
  "entry": [
    {
      "fullUrl": "https://FQDN/ext/v1/Communication/9f0c6c1d-028d-4cc4-9469-a8c2809c0ed2",
      "resource": {
        "basedOn": [
          {
            "reference": "MedicationDispense/d2a7ae9a-170b-4211-997f-9c4e8bf38afc"
          },
          {
            "reference": "MedicationDispense/73e9c0f1-3acd-4d48-8f90-4d9c967c5737"
          }
        ],
        "category": [
          {
            "coding": [
              {
                "code": "panel",
                "display": "Panel",
                "system": "http://hl7.org/fhir/communication-category"
              }
            ]
          }
        ],
        "extension": [
          {
            "url": "http://fhirdocs.surescripts.net/extension/start-date",
            "valueString": "2024-02-26"
          },
          {
            "url": "http://fhirdocs.surescripts.net/extension/end-date",
            "valueString": "2025-02-26"
          }
        ],
        "id": "9f0c6c1d-028d-4cc4-9469-a8c2809c0ed2",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/population-id",
            "value": "High Risk"
          }
        ],
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "received": "2025-02-26T21:29:06+00:00",
        "resourceType": "Communication",
        "status": "completed",
        "subject": {
          "reference": "Patient/93564e09-490a-47ff-aaa7-2cf9626caa36"
        }
      },
      "search": {
        "mode": "match"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/MedicationDispense/73e9c0f1-3acd-4d48-8f90-4d9c967c5737",
      "resource": {
        "authorizingPrescription": [
          {
            "reference": "MedicationRequest/e4b356f0-7b9c-43c8-925c-2e26d705c06f"
          }
        ],
        "daysSupply": {
          "code": "d",
          "system": "https://www.hl7.org/fhir/measure.html",
          "unit": "Day",
          "value": 7
        },
        "dosageInstruction": [
          {
            "sequence": 1,
            "text": "take 1 tablet by mouth twice daily with meals"
          }
        ],
        "id": "73e9c0f1-3acd-4d48-8f90-4d9c967c5737",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
            "value": "2420120"
          }
        ],
        "medicationReference": {
          "reference": "Medication/57ad0e36-4ad8-49cb-8323-efe4f39aed35"
        },
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "performer": [
          {
            "actor": {
              "reference": "Organization/f1658aa4-33ca-47b4-a1ca-10e146777d96"
            }
          }
        ],
        "quantity": {
          "unit": "C48155",
          "value": 180000.0
        },
        "resourceType": "MedicationDispense",
        "status": "completed",
        "subject": {
          "reference": "Patient/93564e09-490a-47ff-aaa7-2cf9626caa36"
        },
        "substitution": {
          "wasSubstituted": false
        },
        "type": {
          "coding": [
            {
              "code": "FF",
              "display": "First Fill",
              "system": "http://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType"
            }
          ]
        },
        "whenHandedOver": "2024-04-14T23:00:00+00:00",
        "whenPrepared": "2024-04-14T23:00:00+00:00"
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/MedicationDispense/d2a7ae9a-170b-4211-997f-9c4e8bf38afc",
      "resource": {
        "authorizingPrescription": [
          {
            "reference": "MedicationRequest/9842f3a0-82f7-4b45-94ea-bb165ec8063f"
          }
        ],
        "daysSupply": {
          "code": "d",
          "system": "https://www.hl7.org/fhir/measure.html",
          "unit": "Day",
          "value": 7
        },
        "dosageInstruction": [
          {
            "sequence": 1,
            "text": "take 1 tablet by mouth twice daily with meals"
          }
        ],
        "id": "d2a7ae9a-170b-4211-997f-9c4e8bf38afc",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
            "value": "2420120"
          }
        ],
        "medicationReference": {
          "reference": "Medication/75933b54-db50-46eb-9c33-6b4cb299834d"
        },
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "performer": [
          {
            "actor": {
              "reference": "Organization/f1658aa4-33ca-47b4-a1ca-10e146777d96"
            }
          }
        ],
        "quantity": {
          "unit": "C48155",
          "value": 180000.0
        },
        "resourceType": "MedicationDispense",
        "status": "completed",
        "subject": {
          "reference": "Patient/93564e09-490a-47ff-aaa7-2cf9626caa36"
        },
        "substitution": {
          "wasSubstituted": false
        },
        "type": {
          "coding": [
            {
              "code": "FF",
              "display": "First Fill",
              "system": "http://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType"
            }
          ]
        },
        "whenHandedOver": "2025-01-28T23:00:00+00:00",
        "whenPrepared": "2025-01-28T23:00:00+00:00"
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/Patient/93564e09-490a-47ff-aaa7-2cf9626caa36",
      "resource": {
        "active": true,
        "address": [
          {
            "city": "Cheyenne",
            "line": [
              "194 Cedar LN"
            ],
            "postalCode": "82002",
            "state": "WY"
          }
        ],
        "birthDate": "1950-04-22",
        "gender": "male",
        "id": "93564e09-490a-47ff-aaa7-2cf9626caa36",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
            "value": "dzLI4Ghk2Y3sLkpr"
          }
        ],
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "name": [
          {
            "family": "Swatson",
            "given": [
              "Sill"
            ]
          }
        ],
        "resourceType": "Patient"
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/Medication/57ad0e36-4ad8-49cb-8323-efe4f39aed35",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "55555444422",
              "display": "CITALOPRAM 20MG TABLETS",
              "system": "http://hl7.org/fhir/sid/ndc"
            },
            {
              "code": "C38046",
              "display": "Unspecified",
              "system": "http://www.dea.gov/drug-scheduling"
            }
          ]
        },
        "id": "57ad0e36-4ad8-49cb-8323-efe4f39aed35",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          }
        ],
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "resourceType": "Medication"
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/Medication/75933b54-db50-46eb-9c33-6b4cb299834d",
      "resource": {
        "code": {
          "coding": [
            {
              "code": "55555444422",
              "display": "CITALOPRAM 20MG TABLETS",
              "system": "http://hl7.org/fhir/sid/ndc"
            },
            {
              "code": "C38046",
              "display": "Unspecified",
              "system": "http://www.dea.gov/drug-scheduling"
            }
          ]
        },
        "id": "75933b54-db50-46eb-9c33-6b4cb299834d",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          }
        ],
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "resourceType": "Medication"
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/Organization/f1658aa4-33ca-47b4-a1ca-10e146777d96",
      "resource": {
        "active": true,
        "address": [
          {
            "city": "DERBY",
            "line": [
              "745 N CHICKADEE LN",
              "Suite 220"
            ],
            "postalCode": "72944",
            "state": "AR"
          }
        ],
        "id": "f1658aa4-33ca-47b4-a1ca-10e146777d96",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
            "value": "2420120"
          },
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "1053557801"
          }
        ],
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-organization|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "name": "Safeway AT16 Part 1",
        "resourceType": "Organization",
        "telecom": [
          {
            "system": "phone",
            "value": "6825315059"
          }
        ]
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/MedicationRequest/e4b356f0-7b9c-43c8-925c-2e26d705c06f",
      "resource": {
        "authoredOn": "2024-04-14T23:00:00+00:00",
        "dispenseRequest": {
          "expectedSupplyDuration": {
            "system": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-daysSupply",
            "value": 7
          },
          "numberOfRepeatsAllowed": 8
        },
        "id": "e4b356f0-7b9c-43c8-925c-2e26d705c06f",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/prescription-number",
            "value": "1635568827"
          }
        ],
        "intent": "order",
        "medicationReference": {
          "reference": "Medication/57ad0e36-4ad8-49cb-8323-efe4f39aed35"
        },
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "requester": {
          "reference": "Practitioner/b094ba24-d185-4f53-99e3-bd6e184028f8"
        },
        "resourceType": "MedicationRequest",
        "status": "active",
        "subject": {
          "reference": "Patient/93564e09-490a-47ff-aaa7-2cf9626caa36"
        }
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/MedicationRequest/9842f3a0-82f7-4b45-94ea-bb165ec8063f",
      "resource": {
        "authoredOn": "2025-01-28T23:00:00+00:00",
        "dispenseRequest": {
          "expectedSupplyDuration": {
            "system": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-daysSupply",
            "value": 7
          },
          "numberOfRepeatsAllowed": 8
        },
        "id": "9842f3a0-82f7-4b45-94ea-bb165ec8063f",
        "identifier": [
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/prescription-number",
            "value": "-1202581987--86222575"
          }
        ],
        "intent": "order",
        "medicationReference": {
          "reference": "Medication/75933b54-db50-46eb-9c33-6b4cb299834d"
        },
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "requester": {
          "reference": "Practitioner/b094ba24-d185-4f53-99e3-bd6e184028f8"
        },
        "resourceType": "MedicationRequest",
        "status": "active",
        "subject": {
          "reference": "Patient/93564e09-490a-47ff-aaa7-2cf9626caa36"
        }
      },
      "search": {
        "mode": "include"
      }
    },
    {
      "fullUrl": "https://FQDN/ext/v1/Practitioner/b094ba24-d185-4f53-99e3-bd6e184028f8",
      "resource": {
        "address": [
          {
            "city": "Sacramento",
            "line": [
              "2801 Arden Way"
            ],
            "postalCode": "95825",
            "state": "CA"
          }
        ],
        "id": "b094ba24-d185-4f53-99e3-bd6e184028f8",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "2059103723"
          },
          {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000112204"
          },
          {
            "system": "https://www.hl7.org/fhir/license.html",
            "value": "NJ998745988"
          }
        ],
        "meta": {
          "lastUpdated": "2025-02-26T21:29:30.537207+00:00",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner|4.1.0"
          ],
          "versionId": "MTc0MDYwNTM3MDUzNzIwNzAwMA"
        },
        "name": [
          {
            "family": "Murphy",
            "given": [
              "HPDProvider"
            ]
          }
        ],
        "resourceType": "Practitioner",
        "telecom": [
          {
            "system": "phone",
            "value": "6122765459"
          },
          {
            "system": "fax",
            "value": "6247166273"
          }
        ]
      },
      "search": {
        "mode": "include"
      }
    }
  ],
  "link": [
    {
      "relation": "search",
      "url": "https://FQDN/ext/v1/Communication/?_count=1&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Aprescription&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&category=panel&"
    },
    {
      "relation": "next",
      "url": "https://FQDN/ext/v1/Communication/?_count=1&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Aprescription&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&category=panel&_page_token=AfYTsea7WWfXa5A6R36FOXHQF9vdvfM_pBHkNsnkQEr4JPIth29KC2JZ0GHulax6PY6rlZuCnmo_k8IBwbNIWzYku0HahXtratqSrV9OD-7rVQHbpZZc_RMjbmEWjyfjN1QbBvUxG1RKa6ljNncku-LzXRuw2Buer5DuuinouTesLOo4I6Ilt8eeMNtxaCulMHAxgRQRK4Yr3Cq-r8D7VLDTWw%3D%3D"
    },
    {
      "relation": "first",
      "url": "https://FQDN/ext/v1/Communication/?_count=1&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Aprescription&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&category=panel&"
    },
    {
      "relation": "self",
      "url": "https://FQDN/ext/v1/Communication/?_count=1&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Aprescription&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&category=panel&"
    }
  ],
  "resourceType": "Bundle",
  "total": 13,
  "type": "searchset"
}
```
:::

## Bundle and Links

This example uses the Hypermedia as the Engine of Application State (HATEOAS) standard. The following code items are defined:

- **ResourceType** – Expect a single bundle for each request.
- **Id** – The bundle.id is a unique message id. It is used for looking up API request/response details in Message Searches during customer support.
- **Type** – Type of FHIR request that was made. This will always be the notifications search set.
- **Total** – Total number of medications dispensed in the response.
- **Link** – Link to access additional data. This is the HATEOAS model providing links to continue through all of the data.
- **Relation** – Relation indicates any of the following link types:
  - **Self**: Link sent to customer that produced the results they are consuming.
  - **First**: First page of data.
  - **Note:&#x20;**&#x54;he **Next** link is not visible when the last page of data is returned in the bundle.
  - **Search:&#x20;**&#x52;efers to a resource that can be used to search through the link's context and related resources.
- **URL** – Link needed to follow in order to retrieve the data described by the relation. All parameters are filled out, but the required headers and request URL will need to be included.

:::CodeblockTabs
Bundle and Links

```xml
“entry”: [    
"link": [
        {
            "relation": "search",
            "url": "https://FQDN/ext/v1/Communication/?_count=50&_include=Communication%3Abased-on&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3AmedicationReferenced&_include%3Aiterate=MedicationDispensed%3Aperformer&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&_revinclude%3Aiterate=Condition%3Asubject&category=panel&"
        },
        {
            "relation": "first",
            "url": "https://FQDN/ext/v1/Communication/?_count=50&_include=Communication%3Abased-on&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3AmedicationReferenced&_include%3Aiterate=MedicationDispensed%3Aperformer&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&_revinclude%3Aiterate=Condition%3Asubject&category=panel&"
        },
        {
            "relation": "self",
            "url": "https://FQDN/ext/v1/Communication/?_count=50&_include=Communication%3Abased-on&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3AmedicationReferenced&_include%3Aiterate=MedicationDispensed%3Aperformer&_lastUpdated=gt2025-02-26T00%3A00%3A00Z&_lastUpdated=lt2025-02-27T11%3A59%3A59Z&_revinclude%3Aiterate=Condition%3Asubject&category=panel&"
        }
    ],
    “id”: “ee5a7c37-34df-46d8-80e9-3e3080aa6cc9”,
    "resourceType": "Bundle",
    "total": 5,
    "type": "searchset"
}
```
:::

## Patient Resource

:::CodeblockTabs
Patient Resource

```xml
{
    "fullUrl": "https://care-coordination.surescripts.net/ext/v1/Patient/0279d85e-2069-438d-892d-860429bed218",
    "resource": {
      "resourceType": "Patient",
      "id": "0279d85e-2069-438d-892d-860429bed218",
      "meta": {
        "versionId": "MTc2NjUxMzQ5MzQ3ODA0OTAwMA",
        "lastUpdated": "2025-12-23T18:11:33.478049+00:00"
      },
      "identifier": [ {
        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000021931"
      }, {
        "system": "2.16.840.1.113883.3.2054.2.3.1",
        "value": "68958f7d4e95-4c75-ae82-104fb84519a6"
      } ],
      "active": true,
      "name": [ {
        "family": "Devereaux",
        "given": [ "Margaret Adelia" ]
      } ],
      "gender": "female",
      "birthDate": "1997-11-01",
      "address": [ {
        "line": [ "27-B Heald St" ],
        "city": "Pepperell",
        "state": "MA",
        "postalCode": "01463"
      } ]
    },
    "search": {
      "mode": "include"
    }
  },
```
:::

## Organization Resource

:::CodeblockTabs
Organization Resource

```xml
{
    "fullUrl": "https://care-coordination.surescripts.net/ext/v1/Organization/f282530d-a482-4460-ba32-5a15922c3da7",
    "resource": {
      "resourceType": "Organization",
      "id": "f282530d-a482-4460-ba32-5a15922c3da7",
      "meta": {
        "versionId": "MTc2NjUxMzQ5MzQ3ODA0OTAwMA",
        "lastUpdated": "2025-12-23T18:11:33.478049+00:00"
      },
      "identifier": [ {
        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000021931"
      }, {
        "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
        "value": "4222154"
      }, {
        "system": "http://hl7.org/fhir/sid/us-dea",
        "value": "RB7542257"
      }, {
        "system": "http://hl7.org/fhir/sid/us-npi",
        "value": "1235468844"
      }, {
        "system": "http://fhirdocs.surescripts.net/identifiers/organization-type",
        "value": "Pharmacy"
      } ],
      "active": true,
      "name": "Brooklyn @ Gates Pharmacy",
      "telecom": [ {
        "system": "phone",
        "value": "3474251221"
      } ],
      "address": [ {
        "line": [ "92 Gates Ave" ],
        "city": "Brooklyn",
        "state": "NY",
        "postalCode": "11238"
      } ]
    },
    "search": {
      "mode": "include"
    }
  },
```
:::

## Practitioner Resource

:::CodeblockTabs
Practitioner Resource

```xml
{
    "fullUrl": "https://care-coordination.surescripts.net/ext/v1/Practitioner/7fcd46d8-c18b-469b-bb9d-e655397d6897",
    "resource": {
      "resourceType": "Practitioner",
      "id": "7fcd46d8-c18b-469b-bb9d-e655397d6897",
      "meta": {
        "versionId": "MTc2NjUxMzQ5MzQ3ODA0OTAwMA",
        "lastUpdated": "2025-12-23T18:11:33.478049+00:00"
      },
      "identifier": [ {
        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000021931"
      }, {
        "system": "http://hl7.org/fhir/sid/us-npi",
        "value": "2888888882"
      }, {
        "system": "http://hl7.org/fhir/sid/us-dea",
        "value": "BM3214549"
      } ],
      "name": [ {
        "family": "McTavish",
        "given": [ "Tarquin" ]
      } ],
      "telecom": [ {
        "system": "phone",
        "value": "2024441142"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }
```
:::

## Medication Request Resource

:::CodeblockTabs
Medication Request Resource

```xml
{
    "fullUrl": "https://care-coordination.surescripts.net/ext/v1/MedicationRequest/1fddc579-29e9-498a-839a-9653c410e743",
    "resource": {
      "resourceType": "MedicationRequest",
      "id": "1fddc579-29e9-498a-839a-9653c410e743",
      "meta": {
        "versionId": "MTc2NjUxMzQ5MzQ3ODA0OTAwMA",
        "lastUpdated": "2025-12-23T18:11:33.478049+00:00"
      },
      "identifier": [ {
        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000021931"
        } 
        {
            "system": "http://fhirdocs.surescripts.net/identifiers/prescription-number",
            "value": "272537260"
        },
        {
            "system": "http://fhirdocs.surescripts.net/identifiers/electronic_rx_ref_number",
            "value": "9123456_x_444445"
        },
        {
            "system": "http://fhirdocs.surescripts.net/identifiers/electronic_order_number",
            "value": "3953241"
        }
      ],
      "status": "completed",
      "intent": "order",
      "medicationReference": {
        "reference": "Medication/70601514-b394-4568-892d-941b2aa715f4"
      },
      "subject": {
        "reference": "Patient/0279d85e-2069-438d-892d-860429bed218"
      },
      "authoredOn": "2025-10-07T23:00:00+00:00",
      "requester": {
        "reference": "Practitioner/7fcd46d8-c18b-469b-bb9d-e655397d6897"
      },
      "dispenseRequest": {
        "numberOfRepeatsAllowed": 0,
        "expectedSupplyDuration": {
          "value": 15,
          "system": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-daysSupply"
        }
      }
    },
    "search": {
      "mode": "include"
    }
  },
```
:::

## Medication Dispense Resource

:::CodeblockTabs
Medication Dispense Resource

```xml
"fullUrl": "http://FQDN/ext/v1/MedicationDispense/b53784bc-9c0f-4c24-8c74-eb094aa66b38",
            "resource": {
                "resourceType": "MedicationDispense",
                "id": "b53784bc-9c0f-4c24-8c74-eb094aa66b38",
                "meta": {
                    "versionId": "MTc2NjAzNzQ4MjQyNzQ2NDAwMA",
                    "lastUpdated": "2025-12-18T05:58:02.427464+00:00"
                },
                "extension": [
                    {
                        "url": "http://fhirdocs.surescripts.net/extension/refills-remaining",
                        "valueString": "2"
                    }
                ],
                "identifier": [
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": " T00000000111321"
                    }
                ],
                "status": "completed",
                "medicationReference": {
                    "reference": "Medication/1d037f3a-38f2-4196-845c-debfc7375c02"
                },
                "subject": {
                    "reference": "Patient/d998034f-3604-4e47-93d1-f60fec14cf2a"
                },
                "performer": [
                    {
                        "actor": {
                            "reference": "Organization/ef6fb6a8-9125-4ef3-bf9e-97e86db3e13b"
                        }
                    }
                ],
                "authorizingPrescription": [
                    {
                        "reference": "MedicationRequest/1eab5712-85e4-42d3-9fa1-715a07046c00"
                    }
                ],
                "type": {
                    "coding": [
                        {
                            "system": "http://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType",
                            "code": "RF",
                            "display": "Refill 02"
                        },
                        {
                            "system": "http://fhirdocs.surescripts.net/coding/partial-fill-type",
                            "code": "RFP",
                            "display": "Refill - Part Fill 01"
                        }
                    ]
                },
                "quantity": {
                    "value": 100.0,
                    "unit": "C48155"
                },
                "daysSupply": {
                    "value": 7,
                    "unit": "Day",
                    "system": "http://unitsofmeasure.org",
                    "code": "d"
                },
                "whenPrepared": "2025-12-07T23:00:00+00:00",
                "whenHandedOver": "2025-12-07T23:00:00+00:00",
                "dosageInstruction": [
                    {
                        "sequence": 1,
                        "text": "TAKE 1 TABLET"
                    }
                ]
            },
            "search": {
                "mode": "include"
            }
```
:::

## Medication Resource

:::CodeblockTabs
Medication Resource

```xml
{
            "fullUrl": "https://FQDN/ext/v1/Medication/ b9969cb8-8740-4657-85d1-afb41e7f7509",
            "resource": {
{
    "code": {
        "coding": [
            {
                "code": "68180051403",
                "display": "LISINOPRIL 10 MG TABLET",
                "system": "http://hl7.org/fhir/sid/ndc"
            },
            {
                "code": "C38046",
                "display": "Unspecified",
                "system": "http://www.dea.gov/drug-scheduling"
            }
        ]
    },
    "id": "b9969cb8-8740-4657-85d1-afb41e7f7509",
    "identifier": [
        {
            "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
            "value": "T00000000111321"
        }
    ],
    "meta": {
        "lastUpdated": "2025-02-16T19:12:38.790907+00:00",
        "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0"
        ],
        "versionId": "MTczOTczMzE1ODc5MDkwNzAwMA"
    },
    "resourceType": "Medication"
},
```
:::

## Condition Resource

:::CodeblockTabs
Condition Resource

```bash
{
            "fullUrl": "https://FQDN/ext/v1/Condition/095cc686-8f3f-4af8-b8c9-344e3429d992",
            "resource": {
                "category": [
                    {
                        "coding": [
                            {
                                "code": "Primary",
                                "system": "http://fhirdocs.surescripts.net/coding/diagnosis-category"
                            }
                        ],
                        "text": "type of diagnosis"
                    }
                ],
                "code": {
                    "coding": [
                        {
                            "code": "CM65748392",
                            "system": "http://fhirdocs.surescripts.net/coding/other-diagnostic-coding-system"
                        }
                    ],
                    "text": "Diagnosis"
                },
                "id": "095cc686-8f3f-4af8-b8c9-344e3429d992",
                "identifier": [
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    }
                ],
                "meta": {
                    "lastUpdated": "2025-02-26T15:05:29.040981+00:00",
                    "profile": [
                        "http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition|4.1.0"
                    ],
                    "versionId": "MTc0MDU4MjMyOTA0MDk4MTAwMA"
                },
                "resourceType": "Condition",
                "subject": {
                    "reference": "Patient/76fcede4-e4de-46d9-a831-67b2a475a667"
                }
            },
```
:::

## Communication Resource

The following examples support the Communication Resource for a panel or prescription notification based on a single or multiple alert

:::CodeblockTabs
Communication Resource

```xml
        {
            "fullUrl": "http://FQDN/ext/v1/Communication/563b30e4-1eb6-4385-b9a0-209d262221d4",
            "resource": {
                "resourceType": "Communication",
                "id": "563b30e4-1eb6-4385-b9a0-209d262221d4",
                "meta": {
                    "versionId": "MTc2NjAzNzUxNDI4NjkwNTAwMA",
                    "lastUpdated": "2025-12-18T05:58:34.286905+00:00",
                    "profile": [
                        "http://hl7.org/fhir/R4/communication"
                    ]
                },
                "extension": [
                    {
                        "url": "http://fhirdocs.surescripts.net/coding/patient-notification-types",
                        "valueCoding": {
                            "id": "1b1d5843-0cdc-4788-b309-9822c7da665a",
                            "code": "RefillNotPickedUp"
                        }
                    },
                    {
                        "url": "http://fhirdocs.surescripts.net/coding/sender-id",
                        "valueCode": "T00000000111321"
                    },
                    {
                        "url": "http://fhirdocs.surescripts.net/coding/notification-generated-time",
                        "valueDateTime": "2025-12-18T05:58:18+00:00"
                    }
                ],
                "identifier": [
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    },
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/alert-population-id",
                        "value": "CurrentHealthPlanPatients"
                    }
                ],
                "basedOn": [
                    {
                        "reference": "MedicationDispense/d9e6cb8d-7d4b-4994-a37d-28a668bbb198"
                    }
                ],
                "status": "completed",
                "category": [
                    {
                        "coding": [
                            {
                                "system": "http://hl7.org/fhir/communication-category",
                                "code": "notification",
                                "display": "Notification"
        },
```
:::

### Prescription Notification Alerts

This section provides the following examples:

| **Single Alert**                                     | **Multiple Alerts Combined**                                                    |
| ---------------------------------------------------- | ------------------------------------------------------------------------------- |
| [Refill](docId\:lg7iS7ZaSaGpDOEPlk_vb)               | [Refill, NoRefillsRemaining, ControlledSubstance](docId\:lg7iS7ZaSaGpDOEPlk_vb) |
| [RefillNotPickedUp](docId\:lg7iS7ZaSaGpDOEPlk_vb)    | [NewPrescriber, ControlledSubstance](docId\:lg7iS7ZaSaGpDOEPlk_vb)              |
| [FirstFillNotPickedUp](docId\:lg7iS7ZaSaGpDOEPlk_vb) |                                                                                 |

### Single Alert (Refill)

**Scenario:** The patient received a **Refill** alert on **2025‑03‑21** for **LISINOPRIL 10 MG TABLET**. The prescription was originally authored on **2025‑02‑11** with **10 repeats allowed**, and **Refill 01 (RF)** for a **30‑day supply** was picked up on **2025‑03‑11**.

The refill pickup date (**2025‑03‑11**) reflects the patient obtaining their next 30‑day supply as expected based on the refill schedule.

:::CodeblockTabs
Single Alert (Refill)

```xml
{    
    "fullUrl": "https://FQDN/ext/v1/Communication/7d759844-b8a8-4817-9e0b-0024773b1468",
    "resource": {
      "resourceType": "Communication",
      "id": "7d759844-b8a8-4817-9e0b-0024773b1468",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00",
        "profile": [ "https://hl7.org/fhir/R4/communication" ]
      },
      "extension": [ {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "Refill"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/notification-generated-time",
        "valueDateTime": "2025-03-12T16:24:48+00:00"
      } ],
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/alert-population-id",
        "value": "PATIENTPOPID~"
      } ],
      "basedOn": [ {
        "reference": "MedicationDispense/72522b4d-732a-444d-8893-26faa28f52b0"
      } ],
      "status": "completed",
      "category": [ {
        "coding": [ {
          "system": "https://hl7.org/fhir/communication-category",
          "code": "notification",
          "display": "Notification"
        } ]
      } ],
      "subject": {
        "reference": "Patient/fb4633e3-a23a-4a02-aecd-40c060797a13"
      },
      "received": "2025-03-12T16:25:06+00:00"
    },
    "search": {
      "mode": "match"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationDispense/72522b4d-732a-444d-8893-26faa28f52b0",
    "resource": {
      "resourceType": "MedicationDispense",
      "id": "72522b4d-732a-444d-8893-26faa28f52b0",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00"
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "status": "completed",
      "medicationReference": {
        "reference": "Medication/b1639bd3-56b9-4c1b-894c-8b7e41a252eb"
      },
      "subject": {
        "reference": "Patient/fb4633e3-a23a-4a02-aecd-40c060797a13"
      },
      "performer": [ {
        "actor": {
          "reference": "Organization/5c914090-7286-4982-8b79-19b49385e4e5"
        }
      } ],
      "authorizingPrescription": [ {
        "reference": "MedicationRequest/794fdf75-f44a-4021-9c4e-6ab50a3b28ab"
      } ],
      "type": {
        "coding": [ {
          "system": "https://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType",
          "code": "RF",
          "display": "Refill 01"
        } ]
      },
      "quantity": {
        "value": 39829.0,
        "unit": "C48155"
      },
      "daysSupply": {
        "value": 30,
        "unit": "Day",
        "system": "https://www.hl7.org/fhir/measure.html",
        "code": "d"
      },
      "whenPrepared": "2025-03-11T23:00:00+00:00",
      "whenHandedOver": "2025-03-11T23:00:00+00:00",
      "dosageInstruction": [ {
        "sequence": 1,
        "text": "Take pill once per day by mouth"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Patient/fb4633e3-a23a-4a02-aecd-40c060797a13",
    "resource": {
      "resourceType": "Patient",
      "id": "fb4633e3-a23a-4a02-aecd-40c060797a13",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0" ]
      },
      "identifier": [ {
        "system": "2.16.840.1.113883.3.2054.2.3.1",
        "value": "f1ec8760e71948cbad18a3312b3d7713"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "active": true,
      "name": [ {
        "family": "Flynn",
        "given": [ "Kayla" ]
      } ],
      "gender": "female",
      "birthDate": "1992-02-28",
      "address": [ {
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Organization/5c914090-7286-4982-8b79-19b49385e4e5",
    "resource": {
      "resourceType": "Organization",
      "id": "5c914090-7286-4982-8b79-19b49385e4e5",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-organization|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/organization-type",
        "value": "P2"
      }, {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1851306070"
      }, {
        "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
        "value": "7535703"
      } ],
      "active": true,
      "name": "ROBERT & BILL'S DISCOUNT DRUGS",
      "address": [ {
        "line": [ "745 N CHICKADEE LN", "Suite 220" ],
        "city": "DERBY",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationRequest/794fdf75-f44a-4021-9c4e-6ab50a3b28ab",
    "resource": {
      "resourceType": "MedicationRequest",
      "id": "794fdf75-f44a-4021-9c4e-6ab50a3b28ab",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/prescription-number",
        "value": "855377485"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_rx_ref_number",
        "value": "00000000000000000000016876942402460"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_order_number",
        "value": "R1C113elec_pres_order_no"
      } ],
      "status": "active",
      "intent": "order",
      "medicationReference": {
        "reference": "Medication/b1639bd3-56b9-4c1b-894c-8b7e41a252eb"
      },
      "subject": {
        "reference": "Patient/fb4633e3-a23a-4a02-aecd-40c060797a13"
      },
      "authoredOn": "2025-02-11T23:00:00+00:00",
      "requester": {
        "reference": "Practitioner/3814b72a-dc34-4438-9840-bbe4080d6595"
      },
      "reasonReference": [ {
        "reference": "Condition/de874e4e-fbbc-458b-ad3e-29eebc618bc9"
      } ],
      "dispenseRequest": {
        "numberOfRepeatsAllowed": 10
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Medication/b1639bd3-56b9-4c1b-894c-8b7e41a252eb",
    "resource": {
      "resourceType": "Medication",
      "id": "b1639bd3-56b9-4c1b-894c-8b7e41a252eb",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "code": {
        "coding": [ {
          "system": "https://hl7.org/fhir/sid/ndc",
          "code": "68180051403",
          "display": "LISINOPRIL 10 MG TABLET"
        }, {
          "system": "https://www.dea.gov/drug-scheduling",
          "code": "C38046",
          "display": "Unspecified"
        } ]
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Practitioner/3814b72a-dc34-4438-9840-bbe4080d6595",
    "resource": {
      "resourceType": "Practitioner",
      "id": "3814b72a-dc34-4438-9840-bbe4080d6595",
      "meta": {
        "versionId": "MTc0MTc5NjcwNjg1NTA1OTAwMA",
        "lastUpdated": "2025-03-12T16:25:06.855059+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1922006063"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "name": [ {
        "family": "ARORA",
        "given": [ "RAVINDER" ]
      } ],
      "telecom": [ {
        "system": "phone",
        "value": "4017237670"
      } ],
      "address": [ {
        "line": [ "1057 Mineral Spring Ave" ],
        "city": "Derby",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  } ]
}
```
:::

### Single Alert (RefillNotPickedUp)

**Scenario:** The patient received a **RefillNotPickedUp** alert on **2025‑03‑13** for **LISINOPRIL 10 MG TABLET**. The prescription was originally authored on **2025‑02‑08** with **10 repeats allowed**, and **Refill 01 (RF)** for a **30‑day supply** was prepared on **2025‑03‑10**, which was the expected pickup date.

The expected pickup date (**2025‑03‑10**) is calculated by adding the **30‑day supply** and a **3‑day buffer** to the original authored date (**2025‑02‑08**).

:::CodeblockTabs
Single Alert (RefillNotPickedUp)

```xml
{    
    "fullUrl": "https://FQDN/ext/v1/Communication/c4f2da29-7343-40eb-9560-666d66f25a72",
    "resource": {
      "resourceType": "Communication",
      "id": "c4f2da29-7343-40eb-9560-666d66f25a72",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00",
        "profile": [ "https://hl7.org/fhir/R4/communication" ]
      },
      "extension": [ {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "RefillNotPickedUp"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/notification-generated-time",
        "valueDateTime": "2025-03-13T15:50:00+00:00"
      } ],
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/alert-population-id",
        "value": "High Risk"
      } ],
      "basedOn": [ {
        "reference": "MedicationDispense/42ed5b07-23d8-450a-8299-7a2583ac7a0b"
      } ],
      "status": "completed",
      "category": [ {
        "coding": [ {
          "system": "https://hl7.org/fhir/communication-category",
          "code": "notification",
          "display": "Notification"
        } ]
      } ],
      "subject": {
        "reference": "Patient/b4038c98-b63e-417b-b027-14b19d0e0662"
      },
      "received": "2025-03-13T15:50:00+00:00"
    },
    "search": {
      "mode": "match"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationDispense/42ed5b07-23d8-450a-8299-7a2583ac7a0b",
    "resource": {
      "resourceType": "MedicationDispense",
      "id": "42ed5b07-23d8-450a-8299-7a2583ac7a0b",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00"
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "status": "completed",
      "medicationReference": {
        "reference": "Medication/e8001ebc-3d11-4b2a-8e46-6473240c4c6e"
      },
      "subject": {
        "reference": "Patient/b4038c98-b63e-417b-b027-14b19d0e0662"
      },
      "performer": [ {
        "actor": {
          "reference": "Organization/b3415f97-74f7-4e78-9328-0b54da2c9d58"
        }
      } ],
      "authorizingPrescription": [ {
        "reference": "MedicationRequest/bbe13b69-6c09-4692-8b16-cc5477f4deee"
      } ],
      "type": {
        "coding": [ {
          "system": "https://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType",
          "code": "RF",
          "display": "Refill 01"
        } ]
      },
      "quantity": {
        "value": 30.0,
        "unit": "C48155"
      },
      "daysSupply": {
        "value": 30,
        "unit": "Day",
        "system": "https://www.hl7.org/fhir/measure.html",
        "code": "d"
      },
      "whenPrepared": "2025-03-10T23:00:00+00:00",
      "dosageInstruction": [ {
        "sequence": 1,
        "text": "Take one tablet per day by mouth"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Patient/b4038c98-b63e-417b-b027-14b19d0e0662",
    "resource": {
      "resourceType": "Patient",
      "id": "b4038c98-b63e-417b-b027-14b19d0e0662",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://terminology.hl7.org/CodeSystem/v2-0203",
        "value": "65Bk4qcyB19HNovB5tf0Q1aJBlCb9OYkAwO"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "active": true,
      "name": [ {
        "family": "Donaldson",
        "given": [ "Max" ]
      } ],
      "gender": "male",
      "birthDate": "2017-04-09",
      "address": [ {
        "line": [ "6419 485th Road", "Apt. 819" ],
        "city": "DERBY",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Organization/b3415f97-74f7-4e78-9328-0b54da2c9d58",
    "resource": {
      "resourceType": "Organization",
      "id": "b3415f97-74f7-4e78-9328-0b54da2c9d58",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-organization|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/organization-type",
        "value": "P2"
      }, {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1851306070"
      }, {
        "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
        "value": "7535703"
      } ],
      "active": true,
      "name": "ROBERT & BILL'S DISCOUNT DRUGS",
      "address": [ {
        "line": [ "745 N CHICKADEE LN", "Suite 220" ],
        "city": "DERBY",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationRequest/bbe13b69-6c09-4692-8b16-cc5477f4deee",
    "resource": {
      "resourceType": "MedicationRequest",
      "id": "bbe13b69-6c09-4692-8b16-cc5477f4deee",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/prescription-number",
        "value": "868673846"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_rx_ref_number",
        "value": "00000000000000000000052112862302552"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_order_number",
        "value": "R1C113elec_pres_order_no"
      } ],
      "status": "active",
      "intent": "order",
      "medicationReference": {
        "reference": "Medication/e8001ebc-3d11-4b2a-8e46-6473240c4c6e"
      },
      "subject": {
        "reference": "Patient/b4038c98-b63e-417b-b027-14b19d0e0662"
      },
      "authoredOn": "2025-02-08T11:00:00+00:00",
      "requester": {
        "reference": "Practitioner/5cfa1702-f79a-4dba-975c-6ab33c773842"
      },
      "reasonReference": [ {
        "reference": "Condition/c2286c83-d1fa-49a6-98b8-36f81d2bdc1e"
      } ],
      "dispenseRequest": {
        "numberOfRepeatsAllowed": 10
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Medication/e8001ebc-3d11-4b2a-8e46-6473240c4c6e",
    "resource": {
      "resourceType": "Medication",
      "id": "e8001ebc-3d11-4b2a-8e46-6473240c4c6e",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "code": {
        "coding": [ {
          "system": "https://hl7.org/fhir/sid/ndc",
          "code": "68180051403",
          "display": "LISINOPRIL 10 MG TABLET"
        }, {
          "system": "https://www.dea.gov/drug-scheduling",
          "code": "C38046",
          "display": "Unspecified"
        } ]
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Practitioner/5cfa1702-f79a-4dba-975c-6ab33c773842",
    "resource": {
      "resourceType": "Practitioner",
      "id": "5cfa1702-f79a-4dba-975c-6ab33c773842",
      "meta": {
        "versionId": "MTc0MTg4MTAwMTA4NjkzODAwMA",
        "lastUpdated": "2025-03-13T15:50:01.086938+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1624519371"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "name": [ {
        "family": "Williams",
        "given": [ "Stevens" ]
      } ],
      "telecom": [ {
        "system": "phone",
        "value": "6122765459"
      } ],
      "address": [ {
        "line": [ "2000 Royal Oaks Dr" ],
        "city": "DERBY",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  } ]
}
```
:::

### Single Alert (FirstFillNotPickedUp)

**Scenario:** The patient, **Kayla Flynn**, received a **FirstFillNotPickedUp** alert on **2025‑12‑29** for the prescription **LISINOPRIL 10 MG TABLET**, originally authored on **2025‑12‑26** by **Dr. Ravinder Arora**. The NewRx was expected to be picked up within three days of the authored date.

Because no pickup occurred by **2025‑12‑29** (2025‑12‑26 + 3‑day buffer), the alert was generated.

:::CodeblockTabs
Single Alert (FirstFillNotPickedUp)

```xml
{
    "resourceType": "Bundle",
    "id": "3cc3f1bf-2a90-48f3-b6d9-1a9cb8d6c2de",
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "search",
            "url": "http://FQDN/ext/v1/Communication/?_count=15&_id=68d5fb92-bd49-4954-aa63-1f4b5b075d6b&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Aprescription&_include%3Aiterate=MedicationRequest%3Aintended-performer&_include%3Aiterate=MedicationRequest%3Amedication&_lastUpdated=lt2025-12-29T23%3A59%3A59Z&_lastUpdated=gt2025-12-23T00%3A00%3A00Z&"
        },
        {
            "relation": "first",
            "url": "http://FQDN/ext/v1/Communication/?_count=15&_id=68d5fb92-bd49-4954-aa63-1f4b5b075d6b&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Aprescription&_include%3Aiterate=MedicationRequest%3Aintended-performer&_include%3Aiterate=MedicationRequest%3Amedication&_lastUpdated=lt2025-12-29T23%3A59%3A59Z&_lastUpdated=gt2025-12-23T00%3A00%3A00Z&"
        },
        {
            "relation": "self",
            "url": "http://FQDN/ext/v1/Communication/?_count=15&_id=68d5fb92-bd49-4954-aa63-1f4b5b075d6b&_include=Communication%3Abased-on&_include%3Aiterate=Communication%3Asubject&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Aprescription&_include%3Aiterate=MedicationRequest%3Aintended-performer&_include%3Aiterate=MedicationRequest%3Amedication&_lastUpdated=lt2025-12-29T23%3A59%3A59Z&_lastUpdated=gt2025-12-23T00%3A00%3A00Z&"
        }
    ],
    "entry": [
        {
            "fullUrl": "http://FQDN/ext/v1/Communication/68d5fb92-bd49-4954-aa63-1f4b5b075d6b",
            "resource": {
                "resourceType": "Communication",
                "id": "68d5fb92-bd49-4954-aa63-1f4b5b075d6b",
                "meta": {
                    "versionId": "MTc2NzAyMDEwNjMzODU3NjAwMA",
                    "lastUpdated": "2025-12-29T14:55:06.338576+00:00",
                    "profile": [
                        "http://hl7.org/fhir/R4/communication"
                    ]
                },
                "extension": [
                    {
                        "url": "http://fhirdocs.surescripts.net/coding/patient-notification-types",
                        "valueCoding": {
                            "id": "3e87b73f-8c9a-47e0-9512-457591b970d7",
                            "code": "FirstFillNotPickedUp"
                        }
                    },
                    {
                        "url": "http://fhirdocs.surescripts.net/coding/sender-id",
                        "valueCode": "T00000000111321"
                    },
                    {
                        "url": "http://fhirdocs.surescripts.net/coding/notification-generated-time",
                        "valueDateTime": "2025-12-29T14:55:06+00:00"
                    }
                ],
                "identifier": [
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    },
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/alert-population-id",
                        "value": "PATIENTPOPID~"
                    }
                ],
                "basedOn": [
                    {
                        "reference": "MedicationRequest/94c41502-0bc6-4ad5-92fe-4dc466e4ccbf"
                    }
                ],
                "status": "completed",
                "category": [
                    {
                        "coding": [
                            {
                                "system": "http://hl7.org/fhir/communication-category",
                                "code": "notification",
                                "display": "Notification"
                            }
                        ]
                    }
                ],
                "subject": {
                    "reference": "Patient/0d01fef0-5623-4b27-8ce4-99b1a93f6150"
                },
                "received": "2025-12-29T14:55:06+00:00"
            },
            "search": {
                "mode": "match"
            }
        },
        {
            "fullUrl": "http://FQDN/ext/v1/MedicationRequest/94c41502-0bc6-4ad5-92fe-4dc466e4ccbf",
            "resource": {
                "resourceType": "MedicationRequest",
                "id": "94c41502-0bc6-4ad5-92fe-4dc466e4ccbf",
                "meta": {
                    "versionId": "MTc2NzAyMDEwNjMzODU3NjAwMA",
                    "lastUpdated": "2025-12-29T14:55:06.338576+00:00",
                    "profile": [
                        "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0"
                    ]
                },
                "identifier": [
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    }
                ],
                "status": "active",
                "intent": "order",
                "medicationReference": {
                    "reference": "Medication/9449aca7-3262-455d-a5d1-084a3b54923e"
                },
                "subject": {
                    "reference": "Patient/0d01fef0-5623-4b27-8ce4-99b1a93f6150"
                },
                "authoredOn": "2025-12-26T13:00:00+00:00",
                "requester": {
                    "reference": "Practitioner/a8da3606-9818-4080-9bd2-04bf585c654c"
                },
                "performer": {
                    "reference": "Organization/b409ec8a-5833-45f0-953f-cfc7452e6140"
                }
            },
            "search": {
                "mode": "include"
            }
        },
        {
            "fullUrl": "http://FQDN/ext/v1/Patient/0d01fef0-5623-4b27-8ce4-99b1a93f6150",
            "resource": {
                "resourceType": "Patient",
                "id": "0d01fef0-5623-4b27-8ce4-99b1a93f6150",
                "meta": {
                    "versionId": "MTc2NzAyMDEwNjMzODU3NjAwMA",
                    "lastUpdated": "2025-12-29T14:55:06.338576+00:00",
                    "profile": [
                        "http://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0"
                    ]
                },
                "identifier": [
                    {
                        "system": "urn:uid:T00000000111321",
                        "value": "tpGW8qtqRqyN5EsUKwUau6cMBbSScGBTgrF"
                    },
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    }
                ],
                "active": true,
                "name": [
                    {
                        "family": "Flynn",
                        "given": [
                            "Kayla"
                        ]
                    }
                ],
                "gender": "female",
                "birthDate": "1992-02-28",
                "address": [
                    {
                        "line": [
                            "1806 28th St"
                        ],
                        "city": "Fort Bend",
                        "state": "NY",
                        "postalCode": "72944"
                    }
                ]
            },
            "search": {
                "mode": "include"
            }
        },
        {
            "fullUrl": "http://FQDN/ext/v1/Practitioner/a8da3606-9818-4080-9bd2-04bf585c654c",
            "resource": {
                "resourceType": "Practitioner",
                "id": "a8da3606-9818-4080-9bd2-04bf585c654c",
                "meta": {
                    "versionId": "MTc2NzAyMDEwNjMzODU3NjAwMA",
                    "lastUpdated": "2025-12-29T14:55:06.338576+00:00",
                    "profile": [
                        "http://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner|4.1.0"
                    ]
                },
                "identifier": [
                    {
                        "system": "https://hl7.org/fhir/sid/us-npi",
                        "value": "1922006063"
                    },
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    }
                ],
                "name": [
                    {
                        "family": "ARORA",
                        "given": [ "RAVINDER" ]
                    }
                ]
            },
                "telecom": [ {
                    "system": "phone",
                    "value": "4017237670"
                  } ],

            "search": {
                "mode": "include"
            }
        },
        {
            "fullUrl": "http://FQDN/ext/v1/Patient/0d01fef0-5623-4b27-8ce4-99b1a93f6150",
            "resource": {
                "resourceType": "Organization",
                "id": "0d01fef0-5623-4b27-8ce4-99b1a93f6150",
                "meta": {
                    "versionId": "MTc2NzAyMDEwNjMzODU3NjAwMA",
                    "lastUpdated": "2025-12-29T14:55:06.338576+00:00",
                    "profile": [
                        "http://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0"
                    ]
                },
                "identifier": [
                    {
                        "system": "urn:uid:T00000000111321",
                        "value": "tpGW8qtqRqyN5EsUKwUau6cMBbSScGBTgrF"
                    },
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    }
                ],
                "active": true,
                "name": [
                    {
                        "family": "Flynn",
                        "given": [
                            "Kayla"
                        ]
                    }
                ],
                "gender": "female",
                "birthDate": "1992-02-28",
                "address": [
                    {
                        "line": [
                            "1806 28th St"
                        ],
                        "city": "Fort Bend",
                        "state": "NY",
                        "postalCode": "72944"
                    }
                ]
            },
            "search": {
                "mode": "include"
            }
        },
        {
            "fullUrl": "http://FQDN/ext/v1/Medication/9449aca7-3262-455d-a5d1-084a3b54923e",
            "resource": {
                "resourceType": "Medication",
                "id": "9449aca7-3262-455d-a5d1-084a3b54923e",
                "meta": {
                    "versionId": "MTc2NzAyMDEwNjMzODU3NjAwMA",
                    "lastUpdated": "2025-12-29T14:55:06.338576+00:00",
                    "profile": [
                        "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0"
                    ]
                },
                "identifier": [
                    {
                        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
                        "value": "T00000000111321"
                    }
                ],
                "code": {
                        "coding": [ {
                          "system": "https://hl7.org/fhir/sid/ndc",
                          "code": "68180051403",
                          "display": "LISINOPRIL 10 MG TABLET"
                        }, {
                          "system": "https://www.dea.gov/drug-scheduling",
                          "code": "C38046",
                          "display": "Unspecified"
                        } ]
                      }
                    },
                "status": "active"
            },
            "search": {
                "mode": "include"
            }
        }
    ]
}
```
:::

### Multiple Alerts (NewRx, NewPrescriber, ControlledSubstance)

**Scenario:** Kayla Flynn received **ControlledSubstance**, **NewPrescriber**, and **NewRx** alerts on **2025‑03‑13** tied to a **First Fill** of **MORPHINE ER 30 MG**. The NewRx was authored on **2025‑03‑11**. Because this was a new controlled‑substance prescription dispensed for the first time, and written by a prescriber who had not issued medication to her within the past four months, all three alerts were triggered.

These notifications help care teams identify newly prescribed controlled substances and monitor when a new prescriber enters the patient’s medication history.

:::CodeblockTabs
Multiple Alerts (NewRx, NewPrescriber, ControlledSubstance)

```xml
{    
    "fullUrl": "https://FQDN/ext/v1/Communication/43d169ed-2d15-4671-9131-e754b3522707",
    "resource": {
      "resourceType": "Communication",
      "id": "43d169ed-2d15-4671-9131-e754b3522707",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00",
        "profile": [ "https://hl7.org/fhir/R4/communication" ]
      },
      "extension": [ {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "ControlledSubstance"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "NewPrescriber"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "NewRx"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/notification-generated-time",
        "valueDateTime": "2025-03-13T14:21:42+00:00"
      } ],
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/alert-population-id",
        "value": "PATIENTPOPID~"
      } ],
      "basedOn": [ {
        "reference": "MedicationDispense/5e2a103a-b3de-4c87-95ed-721df2c9ae6c"
      } ],
      "status": "completed",
      "category": [ {
        "coding": [ {
          "system": "https://hl7.org/fhir/communication-category",
          "code": "notification",
          "display": "Notification"
        } ]
      } ],
      "subject": {
        "reference": "Patient/a36303cc-8d98-49b1-90ee-804d91b9a6ba"
      },
      "received": "2025-03-13T14:21:49+00:00"
    },
    "search": {
      "mode": "match"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationDispense/5e2a103a-b3de-4c87-95ed-721df2c9ae6c",
    "resource": {
      "resourceType": "MedicationDispense",
      "id": "5e2a103a-b3de-4c87-95ed-721df2c9ae6c",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00"
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "status": "completed",
      "medicationReference": {
        "reference": "Medication/4a24cc53-a4dd-4ca0-8946-aada84dd95f4"
      },
      "subject": {
        "reference": "Patient/a36303cc-8d98-49b1-90ee-804d91b9a6ba"
      },
      "performer": [ {
        "actor": {
          "reference": "Organization/a5f51a3d-dbf2-4262-aac0-f9af60699a4b"
        }
      } ],
      "authorizingPrescription": [ {
        "reference": "MedicationRequest/c91f08b9-7147-4193-9c01-13a1f828e8ab"
      } ],
      "type": {
        "coding": [ {
          "system": "https://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType",
          "code": "FF",
          "display": "First Fill"
        } ]
      },
      "quantity": {
        "value": 39829.0,
        "unit": "C48155"
      },
      "daysSupply": {
        "value": 31,
        "unit": "Day",
        "system": "https://www.hl7.org/fhir/measure.html",
        "code": "d"
      },
      "whenPrepared": "2025-03-11T23:00:00+00:00",
      "dosageInstruction": [ {
        "sequence": 1,
        "text": "r1c84sig_text"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Patient/a36303cc-8d98-49b1-90ee-804d91b9a6ba",
    "resource": {
      "resourceType": "Patient",
      "id": "a36303cc-8d98-49b1-90ee-804d91b9a6ba",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0" ]
      },
      "identifier": [ {
        "system": "2.16.840.1.113883.3.2054.2.3.1",
        "value": "ec8600ec831f486e9ac9f5b2388d00bd"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "active": true,
      "name": [ {
        "family": "Flynn",
        "given": [ "Kayla" ]
      } ],
      "gender": "female",
      "birthDate": "1962-02-28",
      "address": [ {
        "postalCode": "10001"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Organization/a5f51a3d-dbf2-4262-aac0-f9af60699a4b",
    "resource": {
      "resourceType": "Organization",
      "id": "a5f51a3d-dbf2-4262-aac0-f9af60699a4b",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-organization|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/organization-type",
        "value": "P2"
      }, {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1851306070"
      }, {
        "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
        "value": "7535703"
      } ],
      "active": true,
      "name": "ROBERT & BILL'S DISCOUNT DRUGS",
      "address": [ {
        "line": [ "745 N CHICKADEE LN", "Suite 220" ],
        "city": "DERBY",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationRequest/c91f08b9-7147-4193-9c01-13a1f828e8ab",
    "resource": {
      "resourceType": "MedicationRequest",
      "id": "c91f08b9-7147-4193-9c01-13a1f828e8ab",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/prescription-number",
        "value": "390896692"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_rx_ref_number",
        "value": "00000000000000000000005521747146705"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_order_number",
        "value": "R1C113elec_pres_order_no"
      } ],
      "status": "active",
      "intent": "order",
      "medicationReference": {
        "reference": "Medication/4a24cc53-a4dd-4ca0-8946-aada84dd95f4"
      },
      "subject": {
        "reference": "Patient/a36303cc-8d98-49b1-90ee-804d91b9a6ba"
      },
      "authoredOn": "2025-03-11T23:00:00+00:00",
      "requester": {
        "reference": "Practitioner/bd6bcf0d-d36f-4cb7-a9a4-50be63ad441d"
      },
      "reasonReference": [ {
        "reference": "Condition/932dcea2-e0f1-474f-be7d-b1632b752121"
      } ],
      "dispenseRequest": {
        "numberOfRepeatsAllowed": 10
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Medication/4a24cc53-a4dd-4ca0-8946-aada84dd95f4",
    "resource": {
      "resourceType": "Medication",
      "id": "4a24cc53-a4dd-4ca0-8946-aada84dd95f4",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "code": {
        "coding": [ {
          "system": "https://hl7.org/fhir/sid/ndc",
          "code": "60951065370",
          "display": "MORPHINE ER 30MG"
        }, {
          "system": "https://www.dea.gov/drug-scheduling",
          "code": "C38046",
          "display": "Unspecified"
        } ]
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Practitioner/bd6bcf0d-d36f-4cb7-a9a4-50be63ad441d",
    "resource": {
      "resourceType": "Practitioner",
      "id": "bd6bcf0d-d36f-4cb7-a9a4-50be63ad441d",
      "meta": {
        "versionId": "MTc0MTg3NTcwOTY1MDgxMzAwMA",
        "lastUpdated": "2025-03-13T14:21:49.650813+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1924143211"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "name": [ {
        "family": "AddressLinkTest",
        "given": [ "TeamSeven" ]
      } ],
      "telecom": [ {
        "system": "phone",
        "value": "6122765459"
      } ],
      "address": [ {
        "line": [ "4185 S Robert Trail" ],
        "city": "Eagan",
        "state": "MN",
        "postalCode": "55123"
      } ]
    },
    "search": {
      "mode": "include"
    }
  } ]
}
```
:::

### Multiple Alerts (Refill, ControlledSubstance)

**Scenario:** Kayla Flynn received **Refill** and **ControlledSubstance** alerts on **2025‑03‑13** for **MORPHINE ER 30 MG**, which was originally authored **30 days earlier** on **2025‑02‑11** with **3 refills authorized**. A **Refill 01** was prepared on **2025‑03‑11** with a **31‑day supply**, and because the medication is a controlled substance and the refill was successfully picked up, both alerts were generated.

These notifications highlight refill activity involving controlled substances, helping organizations monitor adherence and identify potential safety risks.

:::CodeblockTabs
Multiple Alerts (Refill, ControlledSubstance)

```xml
{    
    "fullUrl": "https://FQDN/ext/v1/Communication/38eef49e-2ee0-497e-9821-52ec5b9053eb",
    "resource": {
      "resourceType": "Communication",
      "id": "38eef49e-2ee0-497e-9821-52ec5b9053eb",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00",
        "profile": [ "https://hl7.org/fhir/R4/communication" ]
      },
      "extension": [ {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "ControlledSubstance"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/patient-notification-types",
        "valueCode": "Refill"
      }, {
        "url": "https://fhirdocs.surescripts.net/coding/notification-generated-time",
        "valueDateTime": "2025-03-13T14:21:06+00:00"
      } ],
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/alert-population-id",
        "value": "High Risk"
      } ],
      "basedOn": [ {
        "reference": "MedicationDispense/03dd91e1-d555-4892-8a27-6fc40ed36be4"
      } ],
      "status": "completed",
      "category": [ {
        "coding": [ {
          "system": "https://hl7.org/fhir/communication-category",
          "code": "notification",
          "display": "Notification"
        } ]
      } ],
      "subject": {
        "reference": "Patient/f7c118ab-dc3f-47ce-ba70-182b1c5c0ee5"
      },
      "received": "2025-03-13T14:21:15+00:00"
    },
    "search": {
      "mode": "match"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationDispense/03dd91e1-d555-4892-8a27-6fc40ed36be4",
    "resource": {
      "resourceType": "MedicationDispense",
      "id": "03dd91e1-d555-4892-8a27-6fc40ed36be4",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00"
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "status": "completed",
      "medicationReference": {
        "reference": "Medication/4f06b121-3356-4406-8d04-96a26fe1209e"
      },
      "subject": {
        "reference": "Patient/f7c118ab-dc3f-47ce-ba70-182b1c5c0ee5"
      },
      "performer": [ {
        "actor": {
          "reference": "Organization/7b8ccf62-e731-44cc-9819-029d41802582"
        }
      } ],
      "authorizingPrescription": [ {
        "reference": "MedicationRequest/108b1156-6643-48cd-ad24-eeca51e4ab4e"
      } ],
      "type": {
        "coding": [ {
          "system": "https://hl7.org/fhir/ValueSet/v3-ActPharmacySupplyType",
          "code": "RF",
          "display": "Refill 01"
        } ]
      },
      "quantity": {
        "value": 39829.0,
        "unit": "C48155"
      },
      "daysSupply": {
        "value": 31,
        "unit": "Day",
        "system": "https://www.hl7.org/fhir/measure.html",
        "code": "d"
      },
      "whenPrepared": "2025-03-11T23:00:00+00:00",
      "dosageInstruction": [ {
        "sequence": 1,
        "text": "r1c84sig_text"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Patient/f7c118ab-dc3f-47ce-ba70-182b1c5c0ee5",
    "resource": {
      "resourceType": "Patient",
      "id": "f7c118ab-dc3f-47ce-ba70-182b1c5c0ee5",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-patient|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://terminology.hl7.org/CodeSystem/v2-0203",
        "value": "918ec939f6f3408380b9b4fc66ab8653"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "active": true,
      "name": [ {
        "family": "Flynn",
        "given": [ "Kayla" ]
      } ],
      "gender": "female",
      "birthDate": "1962-02-28",
      "address": [ {
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Organization/7b8ccf62-e731-44cc-9819-029d41802582",
    "resource": {
      "resourceType": "Organization",
      "id": "7b8ccf62-e731-44cc-9819-029d41802582",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-organization|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/organization-type",
        "value": "P2"
      }, {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1851306070"
      }, {
        "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
        "value": "7535703"
      } ],
      "active": true,
      "name": "ROBERT & BILL'S DISCOUNT DRUGS",
      "address": [ {
        "line": [ "745 N CHICKADEE LN", "Suite 220" ],
        "city": "DERBY",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/MedicationRequest/108b1156-6643-48cd-ad24-eeca51e4ab4e",
    "resource": {
      "resourceType": "MedicationRequest",
      "id": "108b1156-6643-48cd-ad24-eeca51e4ab4e",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/prescription-number",
        "value": "225309529"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_rx_ref_number",
        "value": "00000000000000000000073742182928199"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/electronic_order_number",
        "value": "R1C113elec_pres_order_no"
      } ],
      "status": "active",
      "intent": "order",
      "medicationReference": {
        "reference": "Medication/4f06b121-3356-4406-8d04-96a26fe1209e"
      },
      "subject": {
        "reference": "Patient/f7c118ab-dc3f-47ce-ba70-182b1c5c0ee5"
      },
      "authoredOn": "2025-02-11T23:00:00+00:00",
      "requester": {
        "reference": "Practitioner/8d020c0c-1db3-479f-8c50-be0fa78f96d3"
      },
      "reasonReference": [ {
        "reference": "Condition/688e9dc7-369e-459f-b092-6f091a319040"
      } ],
      "dispenseRequest": {
        "numberOfRepeatsAllowed": 3
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Medication/4f06b121-3356-4406-8d04-96a26fe1209e",
    "resource": {
      "resourceType": "Medication",
      "id": "4f06b121-3356-4406-8d04-96a26fe1209e",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-medication|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "code": {
        "coding": [ {
          "system": "https://hl7.org/fhir/sid/ndc",
          "code": "60951065370",
          "display": "MORPHINE ER 30MG"
        }, {
          "system": "https://www.dea.gov/drug-scheduling",
          "code": "C38046",
          "display": "Unspecified"
        } ]
      }
    },
    "search": {
      "mode": "include"
    }
  }, {
    "fullUrl": "https://FQDN/ext/v1/Practitioner/8d020c0c-1db3-479f-8c50-be0fa78f96d3",
    "resource": {
      "resourceType": "Practitioner",
      "id": "8d020c0c-1db3-479f-8c50-be0fa78f96d3",
      "meta": {
        "versionId": "MTc0MTg3NTY3NTc0MDU3MTAwMA",
        "lastUpdated": "2025-03-13T14:21:15.740571+00:00",
        "profile": [ "https://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner|4.1.0" ]
      },
      "identifier": [ {
        "system": "https://hl7.org/fhir/sid/us-npi",
        "value": "1932106424"
      }, {
        "system": "https://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000111321"
      } ],
      "name": [ {
        "family": "MICAN",
        "given": [ "LISA" ]
      } ],
      "telecom": [ {
        "system": "phone",
        "value": "4017260547"
      } ],
      "address": [ {
        "line": [ "150 MINERAL SPRING AVE." ],
        "city": "Derby",
        "state": "AR",
        "postalCode": "72944"
      } ]
    },
    "search": {
      "mode": "include"
    }
  } ]
}
```
:::

### Panel Management Response

:::CodeblockTabs
Panel Management Response

```xml
{
  "resourceType": "Bundle",
  "id": "59d08863-d483-474b-9802-7da6dfe044ee",
  "type": "searchset",
  "total": 1,
  "link": [ {
    "relation": "search",
    "url": "https://care-coordination.surescripts.net/ext/v1/Communication/?_id=512e9018-756a-4e40-8f0d-90251f2f5f62&_include=Communication%3Abased-on&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Aprescription&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=Communication%3Asubject&_lastUpdated=gt2025-12-23T00%3A00%3A00Z&_lastUpdated=lt2025-12-23T23%3A59%3A59Z&category=panel&"
  }, {
    "relation": "first",
    "url": "https://care-coordination.surescripts.net/ext/v1/Communication/?_id=512e9018-756a-4e40-8f0d-90251f2f5f62&_include=Communication%3Abased-on&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Aprescription&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=Communication%3Asubject&_lastUpdated=gt2025-12-23T00%3A00%3A00Z&_lastUpdated=lt2025-12-23T23%3A59%3A59Z&category=panel&"
  }, {
    "relation": "self",
    "url": "https://care-coordination.surescripts.net/ext/v1/Communication/?_id=512e9018-756a-4e40-8f0d-90251f2f5f62&_include=Communication%3Abased-on&_include%3Aiterate=MedicationRequest%3Arequester&_include%3Aiterate=MedicationDispense%3Aprescription&_include%3Aiterate=MedicationDispense%3Aperformer&_include%3Aiterate=MedicationDispense%3Amedication&_include%3Aiterate=Communication%3Asubject&_lastUpdated=gt2025-12-23T00%3A00%3A00Z&_lastUpdated=lt2025-12-23T23%3A59%3A59Z&category=panel&"
  } ],
  "entry": [ {
    "fullUrl": "https://care-coordination.surescripts.net/ext/v1/Communication/512e9018-756a-4e40-8f0d-90251f2f5f62",
    "resource": {
      "resourceType": "Communication",
      "id": "512e9018-756a-4e40-8f0d-90251f2f5f62",
      "meta": {
        "versionId": "MTc2NjUxMzQ5MzQ3ODA0OTAwMA",
        "lastUpdated": "2025-12-23T18:11:33.478049+00:00"
      },
      "extension": [ {
        "url": "http://fhirdocs.surescripts.net/extension/start-date",
        "valueString": "2024-12-23"
      }, {
        "url": "http://fhirdocs.surescripts.net/extension/end-date",
        "valueString": "2025-12-23"
      } ],
      "identifier": [ {
        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000021931"
      }, {
        "system": "http://fhirdocs.surescripts.net/identifiers/primary-sender-message-id",
        "value": "48100178:13529794:1766511378576"
      }, {
        "system": "http://fhirdocs.surescripts.net/identifiers/population-id",
        "value": "PanelCertPatients"
      } ],
      "basedOn": [ {
        "reference": "MedicationDispense/81562b08-f6fd-44bd-a5c3-9a3009106513"
      }, {
        "reference": "MedicationDispense/f3ed6a76-46f7-4714-ac30-1c85275a5bef"
      }, {
        "reference": "MedicationDispense/b97a0d8f-6308-4beb-863a-f031082b0725"
      }, {
        "reference": "MedicationDispense/64234232-e10d-43c6-b4d8-0548e8ae47b6"
      }, {
        "reference": "MedicationDispense/e63d3c3f-cae9-492c-8dc6-b8bbebf81227"
      }, {
        "reference": "MedicationDispense/e7650819-7d97-4070-adc6-1700f0c27e3c"
      }, {
        "reference": "MedicationDispense/012f26ef-1409-4ffe-970a-42367ad33b06"
      }, {
        "reference": "MedicationDispense/d26bd3af-d2ca-4f13-8fed-7d7bef23929f"
      }, {
        "reference": "MedicationDispense/4a35056d-64c9-447d-a482-322a779ed3d0"
      }, {
        "reference": "MedicationDispense/b1a4fa6a-834e-463b-a9b1-a4c281cc421f"
      }, {
        "reference": "MedicationDispense/cf0ad2b3-3ce2-4624-ab18-3fcbdbf20e89"
      } ],
      "status": "completed",
      "category": [ {
        "coding": [ {
          "system": "http://hl7.org/fhir/communication-category",
          "code": "panel",
          "display": "Panel"
        } ]
      } ],
      "subject": {
        "reference": "Patient/0279d85e-2069-438d-892d-860429bed218"
      },
      "received": "2025-12-23T17:36:18+00:00"
    },
    "search": {
      "mode": "match"
    }
  }, {
    "fullUrl": "https://care-coordination.surescripts.net/ext/v1/MedicationDispense/b97a0d8f-6308-4beb-863a-f031082b0725",
    "resource": {
      "resourceType": "MedicationDispense",
      "id": "b97a0d8f-6308-4beb-863a-f031082b0725",
      "meta": {
        "versionId": "MTc2NjUxMzQ5MzQ3ODA0OTAwMA",
        "lastUpdated": "2025-12-23T18:11:33.478049+00:00"
      },
      "identifier": [ {
        "system": "http://fhirdocs.surescripts.net/identifiers/participantid",
        "value": "T00000000021931"
      }, {
        "system": "https://terminology.hl7.org/6.0.2/CodeSystem-NCPDPProviderIdentificationNumber.html",
        "value": "4222154"
      } ],
      "status": "completed",
      "medicationReference": {
        "reference": "Medication/ee43ee2b-e963-42f8-9fb1-f081233847b4"
      },
      "subject": {
        "reference": "Patient/0279d85e-2069-438d-892d-860429bed218"
      },
      "performer": [ {
        "actor": {
[...]
